## gtksourceview5 5.12.0

=== meson_options.txt ===
option('build-testsuite',
       type: 'boolean', value: true,
       description: 'Build GtkSourceView testsuite')

option('install-tests',
       type: 'boolean', value: false,
       description: 'Install test programs')

option('introspection',
       type: 'feature', value: 'auto',
       description: 'Generate gir data (requires gobject-introspection)')

option('vapi',
       type: 'boolean', value: true,
       description: 'Generate vapi data (requires vapigen)')

option('documentation',
       type: 'boolean', value: false,
       description: 'Build reference manual (requires gi-doc)')

option('sysprof',
       type: 'boolean', value: false,
       description: 'Build with sysprof profiler support')

## gtksourceview5 5.2.0

=== debian/changelog ===
gtksourceview5 (5.2.0-2) unstable; urgency=medium

  * debian/rules: Fix meson build options
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 27 Nov 2021 16:38:50 -0500

gtksourceview5 (5.2.0-1) experimental; urgency=medium

  * New upstream release for gtk4 instead of gtk3
    - Renamed source package (Closes: #996609)
  * debian/libgtksourceview-5.0.symbols: Update
  * debian/control.in: Bump minimum meson & glib
  * debian/control.in: Drop obsolete Build-Depends: intltool, libgladeui-dev
  * debian/libgtksourceview-5-dev.install: glade catalog no longer provided
  * debian/libgtksourceview-5-common.install: Install icons directory

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Oct 2021 20:17:01 -0400

gtksourceview4 (4.8.2-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * debian/rules: Set export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 09 Sep 2021 19:34:20 -0400

gtksourceview4 (4.8.1-4) unstable; urgency=medium

  * Team upload
  * d/p/build-ensure-access-to-resources-in-corelib-build.patch:
    Add patch from upstream git to avoid FTBFS seen on s390x.
    Thanks to Adrian Bunk

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Aug 2021 19:03:59 +0100

gtksourceview4 (4.8.1-3) unstable; urgency=medium

  * Cherry-pick build-disable-Werror-for-incompatible-pointer-types.patch

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 21:33:54 -0400

gtksourceview4 (4.8.1-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/watch: Watch for series 4 releases only
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 07:55:33 -0400

gtksourceview4 (4.8.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Mar 2021 10:13:56 +0100

gtksourceview4 (4.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Sep 2020 13:25:06 +0200

gtksourceview4 (4.7.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated gtk requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Aug 2020 16:30:21 +0200

gtksourceview4 (4.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Jul 2020 16:37:30 +0200

gtksourceview4 (4.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Tue, 10 Mar 2020 13:30:31 +0100

gtksourceview4 (4.5.91-1) experimental; urgency=medium

  * New upstream release
  * debian/libgtksourceview-4-0.docs:
    - updated for the new README naming

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Feb 2020 10:37:45 +0100

gtksourceview4 (4.4.0-1) unstable; urgency=medium

  * New upstream release, remove patch included in the new version
  * debian/control.in:
    - build-depends on libfribidi-dev
    - updated glib and gtk requirements
  * debian/libgtksourceview-4-0.symbols:;
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 15:23:53 +0200

gtksourceview4 (4.3.1-2) experimental; urgency=medium

  * Correctly commit the .install change

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 16:48:17 +0200

gtksourceview4 (4.3.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depends on meson
  * debian/libgtksourceview-4-dev:
    - don't list the .a to install, meson doesn't create one
  * debian/patches/git_dtd_validation.patch:
    - backport an upstream patch to skip dtd validation, it's currently
      buggy and likely due to glade
  * debian/rules:
    - build without autoreconf, drop dh_autoreconf and dh_install/ overrides,
      those are not needed anymore when building without autools
    - don't build with -Wl,-Bsymbolic-functions otherwise tests fail on
      'cannot register existing type 'GtkSourceStyleScheme'' errors
    - updated build flag to the meson syntax

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 13:43:00 +0200

gtksourceview4 (4.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Mar 2019 17:40:25 -0400

gtksourceview4 (4.0.3-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 21:00:23 -0500

gtksourceview4 (4.0.3-1) unstable; urgency=medium

  * New upstream release
  * Run all the build tests. Use xvfb.
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 08 Sep 2018 19:33:25 -0400

gtksourceview4 (4.0.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4
  * Add Breaks/Replaces against libgtksourceview-3.0-dev since
    libgtksourceview-4-dev now ships the Glade catalog (Closes: #879909)
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 14 May 2018 17:22:19 -0400

gtksourceview4 (4.0.0-1) experimental; urgency=medium

  * New upstream release (Closes: #876066)
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Tim Lunn <tim@feathertop.org>  Sun, 11 Mar 2018 11:53:30 +1100

gtksourceview4 (3.99.7-1) experimental; urgency=medium

  * New upstream release
  * debian/libgtksourceview-4-0.symbols: Update
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Dec 2017 10:28:25 -0500

gtksourceview4 (3.99.6-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Oct 2017 08:08:35 -0400

gtksourceview4 (3.99.5-1) experimental; urgency=medium

  * New upstream release


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gtksourceview5
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               meson (>= 0.53),
               gtk-doc-tools (>= 1.25) <!nodoc>,
               libgtk-4-dev (>= 4.2),
               libatk1.0-dev (>= 1.32),
               libfribidi-dev,
               libxml2-dev (>= 2.6),
               libxml2-utils,
               libglib2.0-dev (>= 2.66),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.0),
               valac,
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>,
                     libgdk-pixbuf2.0-doc <!nodoc>,
                     libpango1.0-doc <!nodoc>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview4
Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview4.git
Homepage: https://wiki.gnome.org/Projects/GtkSourceView

Package: libgtksourceview-5-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtksourceview-5-common (>= ${source:Version})
Description: shared libraries for the GTK 4 syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK 4 text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the shared libraries required by applications to use
 this widget.

Package: libgtksourceview-5-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for the GTK 4 syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK 4 text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the language specifications files for Ada, C, C++, C#,
 CSS, ".desktop", ".diff" (patch), Fortran 95, GtkRC, Haskell, HTML, IDL,
 ".ini", Java, JavaScript, LaTeX, Lua, MSIL, Nemerle, Pascal, Perl, PHP, ".po"
 (gettext), Python, R, Ruby, sh, SQL, Tcl, Texinfo, VB.NET, Verilog, VHDL and
 XML.

Package: libgtksourceview-5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libgtksourceview-5-0 (= ${binary:Version}),
         gir1.2-gtksource-5 (= ${binary:Version}),
         libgtk-4-dev (>= 4.2),
         libxml2-dev (>= 2.6.0)
Breaks: libgtksourceview-3.0-dev (<< 3.24.7-2~)
Replaces: libgtksourceview-3.0-dev (<< 3.24.7-2~)
Suggests: libgtksourceview-5-doc
Description: development files for the GTK 4 syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK 4 text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the header files required if you wish to develop
 software that uses the GtkSourceView widget.

Package: libgtksourceview-5-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp,
          libglib2.0-doc,
          libgtk-4-doc,
          libgdk-pixbuf2.0-doc,
          libpango1.0-doc
Description: documentation for the GTK 4 syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK 4 text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the GtkSourceView reference manual.

Package: gir1.2-gtksource-5
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: gir files for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK 4 text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains GObject introspection information.

## gtksourceview5 5.3.1

=== debian/changelog ===
gtksourceview5 (5.3.1-1) unstable; urgency=medium

  * New upstream release
  * Build with gi-docgen instead of gtk-doc-tools
  * debian/control.in: Bump minimum glib and gobject-introspection
  * debian/control.in: Bump minimum meson
  * debian/libgtksourceview-5-0.symbols: Add new symbols
  * Cherry-pick patches to fix build test failure

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 07 Jan 2022 20:58:13 -0500

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,19 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               meson (>= 0.53),
-               gtk-doc-tools (>= 1.25) <!nodoc>,
+               meson (>= 0.59.0),
+               gi-docgen <!nodoc>,
                libgtk-4-dev (>= 4.2),
                libatk1.0-dev (>= 1.32),
                libfribidi-dev,
                libxml2-dev (>= 2.6),
                libxml2-utils,
-               libglib2.0-dev (>= 2.66),
-               gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.0),
+               libglib2.0-dev (>= 2.70),
+               libgirepository1.0-dev (>= 1.70),
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
@@ -28,8 +27,8 @@
                      libgdk-pixbuf2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>
 Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview4
-Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview4.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview5
+Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview5.git
 Homepage: https://wiki.gnome.org/Projects/GtkSourceView
 
 Package: libgtksourceview-5-0

## gtksourceview5 5.4.0

=== debian/changelog ===
gtksourceview5 (5.4.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * debian/libgtksourceview-5-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 20:27:10 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,

## gtksourceview5 5.4.1

=== debian/changelog ===
gtksourceview5 (5.4.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1969848)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Apr 2022 16:37:23 -0400

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Source: gtksourceview5
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                meson (>= 0.59.0),
                gi-docgen <!nodoc>,
-               libgtk-4-dev (>= 4.2),
+               libgtk-4-dev (>= 4.5),
                libatk1.0-dev (>= 1.32),
                libfribidi-dev,
                libxml2-dev (>= 2.6),
@@ -68,7 +69,7 @@
 Depends: ${misc:Depends},
          libgtksourceview-5-0 (= ${binary:Version}),
          gir1.2-gtksource-5 (= ${binary:Version}),
-         libgtk-4-dev (>= 4.2),
+         libgtk-4-dev (>= 4.5),
          libxml2-dev (>= 2.6.0)
 Breaks: libgtksourceview-3.0-dev (<< 3.24.7-2~)
 Replaces: libgtksourceview-3.0-dev (<< 3.24.7-2~)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# needed with the Ubuntu toolchain to avoid issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	DOC_FLAGS += -Dgtk_doc=false
else
	DOC_FLAGS += -Dgtk_doc=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		$(DOC_FLAGS)

override_dh_auto_test:
	NO_AT_BRIDGE=1 xvfb-run -a dh_auto_test

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/gtksourceview/cache.json \
	[5.]+[02468]/gtksourceview-([\d.]+)@ARCHIVE_EXT@

## gtksourceview5 5.6.1

=== debian/changelog ===
gtksourceview5 (5.6.1-1) unstable; urgency=medium

  * New upstream release (LP: #1992511)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Oct 2022 16:20:22 -0400

gtksourceview5 (5.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum gtk4 & glib
  * debian/libgtksourceview-5.0.symbols: Update
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 16:31:08 -0400

gtksourceview5 (5.5.1-3) unstable; urgency=medium

  * debian/patches/git_installed_tests.patch:
    - define one extra test as non suitable for installed tests,
      cherrypick from upstream

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 16 Sep 2022 09:28:50 +0200

gtksourceview5 (5.5.1-2) unstable; urgency=medium

  * Create a libgtksourceview-4-tests binary for installed tests and use
    those for autopkgtests.
  * debian/libgtksourceview-5-0.symbols:
    - refreshed for the new symbols from the git backport
  * debian/patches/git_installed_tests.patch:
    - cherry pick fixes to make the installed tests work

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Sep 2022 11:20:06 +0200

gtksourceview5 (5.5.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.60.0
  * debian/control.in: Bump Standards-Version to 4.6.1
  * debian/libgtksourceview-5-0.symbols: Add new symbols
  * debian/control.in: Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 09 Aug 2022 09:21:17 -0400

gtksourceview5 (5.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libgtksourceview-5-0.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 09:57:23 -0400

gtksourceview5 (5.4.1-3) unstable; urgency=medium

  * debian/rules: Fix build test timeout multiplier flag
  * Drop meson workaround patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 23 Apr 2022 07:56:15 -0400

gtksourceview5 (5.4.1-2) unstable; urgency=medium

  * debian/rules: Increase build test timeout multiplier

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 23 Apr 2022 04:23:37 -0400

gtksourceview5 (5.4.1-1) unstable; urgency=medium

  * New upstream release (LP: #1969848)
  * Add patch to work around meson bug 1008189

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Apr 2022 16:34:41 -0400

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
+		-Dinstall_tests=true \
 		$(DOC_FLAGS)
 
 override_dh_auto_test:
-	NO_AT_BRIDGE=1 xvfb-run -a dh_auto_test
+	NO_AT_BRIDGE=1 xvfb-run -a dh_auto_test -- --timeout-multiplier 3

## gtksourceview5 5.6.2

=== debian/changelog ===
gtksourceview5 (5.6.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Run tests with GTK_A11Y=none instead of NO_AT_BRIDGE=1 (since this is gtk4)

  [ Debian Janitor ]
  * Add debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 11 Jan 2023 15:13:23 -0500

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,19 @@
 Source: gtksourceview5
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               meson (>= 0.59.0),
+               meson (>= 0.60.0),
                gi-docgen <!nodoc>,
-               libgtk-4-dev (>= 4.5),
+               libgtk-4-dev (>= 4.7),
                libatk1.0-dev (>= 1.32),
                libfribidi-dev,
                libxml2-dev (>= 2.6),
                libxml2-utils,
-               libglib2.0-dev (>= 2.70),
+               libglib2.0-dev (>= 2.73),
                libgirepository1.0-dev (>= 1.70),
                valac,
                xauth <!nocheck>,
@@ -27,7 +26,8 @@
                      libgtk-3-doc <!nodoc>,
                      libgdk-pixbuf2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview5
 Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview5.git
 Homepage: https://wiki.gnome.org/Projects/GtkSourceView
@@ -69,7 +69,7 @@
 Depends: ${misc:Depends},
          libgtksourceview-5-0 (= ${binary:Version}),
          gir1.2-gtksource-5 (= ${binary:Version}),
-         libgtk-4-dev (>= 4.5),
+         libgtk-4-dev (>= 4.7),
          libxml2-dev (>= 2.6.0)
 Breaks: libgtksourceview-3.0-dev (<< 3.24.7-2~)
 Replaces: libgtksourceview-3.0-dev (<< 3.24.7-2~)
@@ -111,3 +111,17 @@
  other features typical of a source editor.
  .
  This package contains GObject introspection information.
+
+Package: libgtksourceview-5-tests
+Build-Profiles: <!noinsttest>
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgtksourceview-5-0 (= ${binary:Version}),
+Description: installed tests for the GTK 4 syntax highlighting widget
+ GtkSourceView is a text widget that extends the standard GTK 4 text widget
+ GtkTextView. It improves GtkTextView by implementing syntax highlighting and
+ other features typical of a source editor.
+ .
+ This package includes tests to be used on the installed system.

=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,4 @@
 		$(DOC_FLAGS)
 
 override_dh_auto_test:
-	NO_AT_BRIDGE=1 xvfb-run -a dh_auto_test -- --timeout-multiplier 3
+	GTK_A11Y=none xvfb-run -a dh_auto_test -- --timeout-multiplier 3

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/gtksourceview/cache.json \
	5.[02468]/gtksourceview-([\d.]+)@ARCHIVE_EXT@

## gtksourceview5 5.8.0

=== debian/changelog ===
gtksourceview5 (5.8.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 10:05:34 -0400

gtksourceview5 (5.7.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum GTK4 to 4.10 as suggested by upstream
  * debian/libgtksourceview-5-0.symbols: Update

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Mar 2023 13:25:48 -0500

gtksourceview5 (5.7.1-1) experimental; urgency=medium

  * New upstream release
  * debian/libgtksourceview-5-0.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2023 15:14:56 -0500

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                meson (>= 0.60.0),
                gi-docgen <!nodoc>,
-               libgtk-4-dev (>= 4.7),
+               libgtk-4-dev (>= 4.10),
                libatk1.0-dev (>= 1.32),
                libfribidi-dev,
                libxml2-dev (>= 2.6),
@@ -69,7 +69,7 @@
 Depends: ${misc:Depends},
          libgtksourceview-5-0 (= ${binary:Version}),
          gir1.2-gtksource-5 (= ${binary:Version}),
-         libgtk-4-dev (>= 4.7),
+         libgtk-4-dev (>= 4.10),
          libxml2-dev (>= 2.6.0)
 Breaks: libgtksourceview-3.0-dev (<< 3.24.7-2~)
 Replaces: libgtksourceview-3.0-dev (<< 3.24.7-2~)

## gtksourceview5 5.10.0

=== debian/changelog ===
gtksourceview5 (5.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 07:57:41 -0400

gtksourceview5 (5.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libgtksourceview-5.0.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 14:46:01 -0400

gtksourceview5 (5.8.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:32:26 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -26,7 +26,7 @@
                      libgtk-3-doc <!nodoc>,
                      libgdk-pixbuf2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview5
 Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview5.git

## gtksourceview5 5.12.0

=== debian/changelog ===
gtksourceview5 (5.12.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:17:26 +0000

gtksourceview5 (5.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 13:44:29 -0400

gtksourceview5 (5.11.1-2) unstable; urgency=medium

  * Have libgtksourceview-5-dev depend on libsysprof-capture-4-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Feb 2024 12:33:47 -0500

gtksourceview5 (5.11.1-1) unstable; urgency=medium

  * New upstream release
  * Update build option names
  * debian/libgtksourceview-5-0.symbols: Add new symbols
  * Add Build-Depends: libsysprof-capture-4-dev
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Feb 2024 15:18:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gtksourceview5
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -19,6 +16,7 @@
                libxml2-utils,
                libglib2.0-dev (>= 2.73),
                libgirepository1.0-dev (>= 1.70),
+               libsysprof-capture-4-dev,
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
@@ -70,6 +68,7 @@
          libgtksourceview-5-0 (= ${binary:Version}),
          gir1.2-gtksource-5 (= ${binary:Version}),
          libgtk-4-dev (>= 4.10),
+         libsysprof-capture-4-dev,
          libxml2-dev (>= 2.6.0)
 Breaks: libgtksourceview-3.0-dev (<< 3.24.7-2~)
 Replaces: libgtksourceview-3.0-dev (<< 3.24.7-2~)

=== debian/tests/control ===
Tests: installed-tests
Depends: @, gnome-desktop-testing, xauth, xvfb
Restrictions: allow-stderr

## gtksourceview5 5.12.1

=== debian/changelog ===
gtksourceview5 (5.12.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 06:35:57 -0400

## gtksourceview5 5.14.0

=== debian/changelog ===
gtksourceview5 (5.14.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 15:21:11 -0400

gtksourceview5 (5.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 19:00:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gtksourceview5
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -24,7 +23,7 @@
                      libgtk-3-doc <!nodoc>,
                      libgdk-pixbuf2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview5
 Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview5.git

## gtksourceview5 5.14.1

=== debian/changelog ===
gtksourceview5 (5.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Oct 2024 14:59:39 -0400

## gtksourceview5 5.14.2

=== debian/changelog ===
gtksourceview5 (5.14.2-1) unstable; urgency=medium

  * New upstream release
  * Add Provides: ${gir:Provides} to -dev package
  * Remove obsolete Breaks/Replaces
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Nov 2024 09:28:33 -0500

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview5
 Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview5.git
-Homepage: https://wiki.gnome.org/Projects/GtkSourceView
+Homepage: https://gitlab.gnome.org/GNOME/gtksourceview
 
 Package: libgtksourceview-5-0
 Architecture: any
@@ -69,8 +69,7 @@
          libgtk-4-dev (>= 4.10),
          libsysprof-capture-4-dev,
          libxml2-dev (>= 2.6.0)
-Breaks: libgtksourceview-3.0-dev (<< 3.24.7-2~)
-Replaces: libgtksourceview-3.0-dev (<< 3.24.7-2~)
+Provides: ${gir:Provides}
 Suggests: libgtksourceview-5-doc
 Description: development files for the GTK 4 syntax highlighting widget
  GtkSourceView is a text widget that extends the standard GTK 4 text widget

## gtksourceview5 5.15.0

=== debian/changelog ===
gtksourceview5 (5.15.0-3) unstable; urgency=medium

  * debian/libgtksourceview-5-0.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 16:49:19 -0500

gtksourceview5 (5.15.0-2) unstable; urgency=medium

  * Remove patch that reverted GTK4 4.17 use
  * Bump minimum GTK4
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 15:36:28 -0500

gtksourceview5 (5.15.0-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick patch to fix build tests
  * Add patch to revert a change that requires gtk 4.17

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 17:53:42 -0500

## gtksourceview5 5.16.0

=== debian/changelog ===
gtksourceview5 (5.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 09:07:12 -0400

gtksourceview5 (5.15.1-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Feb 2025 14:47:06 -0500

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,28 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
+           Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               meson (>= 0.60.0),
                gi-docgen <!nodoc>,
-               libgtk-4-dev (>= 4.10),
+               gir1.2-gtk-4.0-dev,
                libatk1.0-dev (>= 1.32),
                libfribidi-dev,
+               libgirepository1.0-dev (>= 1.70),
+               libglib2.0-dev (>= 2.73),
+               libgtk-4-dev (>= 4.17),
+               libsysprof-capture-4-dev,
                libxml2-dev (>= 2.6),
                libxml2-utils,
-               libglib2.0-dev (>= 2.73),
-               libgirepository1.0-dev (>= 1.70),
-               libsysprof-capture-4-dev,
+               meson (>= 0.60.0),
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: libglib2.0-doc <!nodoc>,
+Build-Depends-Indep: libgdk-pixbuf2.0-doc <!nodoc>,
+                     libglib2.0-doc <!nodoc>,
                      libgtk-3-doc <!nodoc>,
-                     libgdk-pixbuf2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
@@ -32,10 +34,9 @@
 Package: libgtksourceview-5-0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgtksourceview-5-common (>= ${source:Version})
+Depends: libgtksourceview-5-common (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: shared libraries for the GTK 4 syntax highlighting widget
  GtkSourceView is a text widget that extends the standard GTK 4 text widget
  GtkTextView. It improves GtkTextView by implementing syntax highlighting and
@@ -63,12 +64,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: libgtk-4-dev (>= 4.17),
          libgtksourceview-5-0 (= ${binary:Version}),
-         gir1.2-gtksource-5 (= ${binary:Version}),
-         libgtk-4-dev (>= 4.10),
          libsysprof-capture-4-dev,
-         libxml2-dev (>= 2.6.0)
+         libxml2-dev (>= 2.6.0),
+         ${gir:Depends},
+         ${misc:Depends}
 Provides: ${gir:Provides}
 Suggests: libgtksourceview-5-doc
 Description: development files for the GTK 4 syntax highlighting widget
@@ -85,9 +86,9 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: devhelp,
+          libgdk-pixbuf2.0-doc,
           libglib2.0-doc,
           libgtk-4-doc,
-          libgdk-pixbuf2.0-doc,
           libpango1.0-doc
 Description: documentation for the GTK 4 syntax highlighting widget
  GtkSourceView is a text widget that extends the standard GTK 4 text widget
@@ -100,8 +101,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${gir:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: gir files for the GTK+ syntax highlighting widget
  GtkSourceView is a text widget that extends the standard GTK 4 text widget
  GtkTextView. It improves GtkTextView by implementing syntax highlighting and
@@ -113,9 +113,9 @@
 Build-Profiles: <!noinsttest>
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgtksourceview-5-0 (= ${binary:Version}),
+Depends: libgtksourceview-5-0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: installed tests for the GTK 4 syntax highlighting widget
  GtkSourceView is a text widget that extends the standard GTK 4 text widget
  GtkTextView. It improves GtkTextView by implementing syntax highlighting and

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions
 
 ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
-	DOC_FLAGS += -Dgtk_doc=false
+	DOC_FLAGS += -Ddocumentation=false
 else
-	DOC_FLAGS += -Dgtk_doc=true
+	DOC_FLAGS += -Ddocumentation=true
 endif
 
 %:
@@ -19,8 +19,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
-		-Dinstall_tests=true \
+		-Dinstall-tests=true \
+		-Dsysprof=true \
 		$(DOC_FLAGS)
 
 override_dh_auto_test:
 	GTK_A11Y=none xvfb-run -a dh_auto_test -- --timeout-multiplier 3
+
+override_dh_gnome_clean:

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/gtksourceview/cache.json \
	5.[\d][02468]/gtksourceview-([\d.]+)@ARCHIVE_EXT@

## gtksourceview5 5.17.1

=== debian/changelog ===
gtksourceview5 (5.17.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib
  * debian/libgtksourceview-5.0.symbols: Add new symbols
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Sep 2025 13:00:28 -0400

gtksourceview5 (5.16.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Replace B-D on libgirepository1.0-dev with
    gobject-introspection
  * d/libgtksourceview-5-doc.links: Make API reference more discoverable
  * Override Lintian tags for BuilderBlocks.ttf.
    It is not a general-purpose font: it displays every non-whitespace
    character as a small block, and is intended for providing an overview
    of source code when zoomed out far enough that individual letters
    would be unreadable.
  * d/rules: Don't run dh_gnome.
    We don't use any of its functionality. Continue to use
    dh-sequence-gnome, which does nothing in Debian but has an effect
    in Ubuntu (it runs dh_scour and dh_translations).
  * d/control, d/rules: Don't run gi-docgen if not building -doc package.
    We don't need this on the non-`Architecture: all` buildds.
  * d/rules: Don't make installed-tests' data files executable
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Sep 2025 10:52:19 +0100

## gtksourceview5 5.18.0

=== meson_options.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 option('documentation',
        type: 'boolean', value: false,
-       description: 'Build reference manual (requires gi-doc)')
+       description: 'Build reference manual (requires gi-docgen)')
 
 option('sysprof',
        type: 'boolean', value: false,

=== debian/changelog ===
gtksourceview5 (5.18.0-3) unstable; urgency=medium

  * Only enable sysprof support on Linux
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Jan 2026 11:08:34 -0500

gtksourceview5 (5.18.0-2) unstable; urgency=medium

  * Mark -doc package as Multi-Arch: foreign
  * Remove Suggests: devhelp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Nov 2025 15:43:30 -0500

gtksourceview5 (5.18.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 20:43:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,30 @@
 Source: gtksourceview5
 Section: libs
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gi-docgen <!nodoc>,
                gir1.2-gtk-4.0-dev,
+               gobject-introspection (>= 1.80),
                libatk1.0-dev (>= 1.32),
                libfribidi-dev,
-               libgirepository1.0-dev (>= 1.70),
-               libglib2.0-dev (>= 2.73),
+               libglib2.0-dev (>= 2.76),
                libgtk-4-dev (>= 4.17),
-               libsysprof-capture-4-dev,
+               libsysprof-capture-4-dev [linux-any],
                libxml2-dev (>= 2.6),
                libxml2-utils,
                meson (>= 0.60.0),
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: libgdk-pixbuf2.0-doc <!nodoc>,
+Build-Depends-Indep: gi-docgen <!nodoc>,
+                     libgdk-pixbuf2.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
                      libgtk-3-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview5
 Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview5.git
 Homepage: https://gitlab.gnome.org/GNOME/gtksourceview
@@ -66,7 +64,7 @@
 Multi-Arch: same
 Depends: libgtk-4-dev (>= 4.17),
          libgtksourceview-5-0 (= ${binary:Version}),
-         libsysprof-capture-4-dev,
+         libsysprof-capture-4-dev [linux-any],
          libxml2-dev (>= 2.6.0),
          ${gir:Depends},
          ${misc:Depends}
@@ -84,9 +82,9 @@
 Section: doc
 Build-Profiles: <!nodoc>
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: devhelp,
-          libgdk-pixbuf2.0-doc,
+Suggests: libgdk-pixbuf2.0-doc,
           libglib2.0-doc,
           libgtk-4-doc,
           libpango1.0-doc

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# needed with the Ubuntu toolchain to avoid issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

ifeq ($(DEB_HOST_ARCH_OS),linux)
SYSPROF=-Dsysprof=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Ddocumentation=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
		-Dinstall-tests=true \
		$(SYSPROF)

override_dh_auto_test:
	GTK_A11Y=none xvfb-run -a dh_auto_test -- --timeout-multiplier 3

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

# We only use dh_gnome to automatically run dh_translations in Ubuntu
override_dh_gnome:
